pandoc_convert {rmarkdown} | R Documentation

## Convert a document with pandoc

### Description

Convert documents to and from various formats using the pandoc utility.

### Usage

    pandoc_convert(input, to = NULL, from = NULL, output = NULL,
      citeproc = FALSE, options = NULL, verbose = FALSE, wd = NULL)

### Arguments

`input` | Character vector containing paths to input files (files must be UTF-8 encoded)
`to` | Format to convert to (if not specified, you must specify `output`)
`from` | Format to convert from (if not specified then the format is determined based on the file extension of `input`).
`output` | Output file (if not specified then determined based on format being converted to)
`citeproc` | `TRUE` to run the pandoc-citeproc filter (for processing citations) as part of the conversion
`options` | Character vector of command line options to pass to pandoc.
`verbose` | `TRUE` to show the pandoc command line which was executed
`wd` | Working directory in which code will be executed. If not supplied, defaults to the common base directory of `input`

### Details

Supported input and output formats are described in the pandoc user guide.

The system path as well as the version of pandoc shipped with RStudio (if running under RStudio) are scanned for pandoc and the highest version available is used.

### Examples

    ## Not run:
    library(rmarkdown)

    # convert markdown to various formats
    pandoc_convert("input.md", to = "html")
    pandoc_convert("input.md", to = "pdf")

    # process citations
    pandoc_convert("input.md", to = "html", citeproc = TRUE)

    # add some pandoc options
    pandoc_convert("input.md", to="pdf", options = c("--listings"))

    ## End(Not run)

[Package rmarkdown version 1.2 Index]